Subject: Re: flex++
From: [email-masked] (Juerg Tschirren)

6 Feb 1998 06:30:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

sumeet singh wrote:

> Hi,
>     I have problems using flex++ (flex that generates C++ code) with
> VC++ 5.0 . The c++ file that flex++ generates, includes <unistd.h> which
> defines some functions already defined in some other header files of
> VC++ and hence doesn't compile.
>

I don't know flex++. But with flex I had the same problem. The solution was
to define a empty unistd.h file (there is no default unistd.h file defined
by Microsoft). With this dummy unistd.h everything works very fine and I can
compile and link flex and bison generated source with VC++ 5.0. I hope it
works with flex++ too.

Juerg Tschirren
Berne, Switzerland

--
------------------------------------------------------------------------
In a world without fences - who needs Gates?
Experience LINUX!
http://www.linux.org  http://www.suse.de  http://www.redhat.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".